import { openBlock as _, createElementBlock as I, renderSlot as st, normalizeStyle as ot, withModifiers as ve, createElementVNode as R, toDisplayString as we, Fragment as at, renderList as ut, createCommentVNode as lt } from "vue";
function ft(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var ae = { exports: {} }, He = function(t, n) {
  return function() {
    for (var r = new Array(arguments.length), s = 0; s < r.length; s++)
      r[s] = arguments[s];
    return t.apply(n, r);
  };
}, ct = He, E = Object.prototype.toString;
function ue(e) {
  return Array.isArray(e);
}
function ie(e) {
  return typeof e > "u";
}
function dt(e) {
  return e !== null && !ie(e) && e.constructor !== null && !ie(e.constructor) && typeof e.constructor.isBuffer == "function" && e.constructor.isBuffer(e);
}
function Fe(e) {
  return E.call(e) === "[object ArrayBuffer]";
}
function ht(e) {
  return E.call(e) === "[object FormData]";
}
function pt(e) {
  var t;
  return typeof ArrayBuffer < "u" && ArrayBuffer.isView ? t = ArrayBuffer.isView(e) : t = e && e.buffer && Fe(e.buffer), t;
}
function mt(e) {
  return typeof e == "string";
}
function vt(e) {
  return typeof e == "number";
}
function Ve(e) {
  return e !== null && typeof e == "object";
}
function U(e) {
  if (E.call(e) !== "[object Object]")
    return !1;
  var t = Object.getPrototypeOf(e);
  return t === null || t === Object.prototype;
}
function wt(e) {
  return E.call(e) === "[object Date]";
}
function yt(e) {
  return E.call(e) === "[object File]";
}
function bt(e) {
  return E.call(e) === "[object Blob]";
}
function ze(e) {
  return E.call(e) === "[object Function]";
}
function Et(e) {
  return Ve(e) && ze(e.pipe);
}
function gt(e) {
  return E.call(e) === "[object URLSearchParams]";
}
function Rt(e) {
  return e.trim ? e.trim() : e.replace(/^\s+|\s+$/g, "");
}
function St() {
  return typeof navigator < "u" && (navigator.product === "ReactNative" || navigator.product === "NativeScript" || navigator.product === "NS") ? !1 : typeof window < "u" && typeof document < "u";
}
function le(e, t) {
  if (!(e === null || typeof e > "u"))
    if (typeof e != "object" && (e = [e]), ue(e))
      for (var n = 0, i = e.length; n < i; n++)
        t.call(null, e[n], n, e);
    else
      for (var r in e)
        Object.prototype.hasOwnProperty.call(e, r) && t.call(null, e[r], r, e);
}
function se() {
  var e = {};
  function t(r, s) {
    U(e[s]) && U(r) ? e[s] = se(e[s], r) : U(r) ? e[s] = se({}, r) : ue(r) ? e[s] = r.slice() : e[s] = r;
  }
  for (var n = 0, i = arguments.length; n < i; n++)
    le(arguments[n], t);
  return e;
}
function Ct(e, t, n) {
  return le(t, function(r, s) {
    n && typeof r == "function" ? e[s] = ct(r, n) : e[s] = r;
  }), e;
}
function xt(e) {
  return e.charCodeAt(0) === 65279 && (e = e.slice(1)), e;
}
var p = {
  isArray: ue,
  isArrayBuffer: Fe,
  isBuffer: dt,
  isFormData: ht,
  isArrayBufferView: pt,
  isString: mt,
  isNumber: vt,
  isObject: Ve,
  isPlainObject: U,
  isUndefined: ie,
  isDate: wt,
  isFile: yt,
  isBlob: bt,
  isFunction: ze,
  isStream: Et,
  isURLSearchParams: gt,
  isStandardBrowserEnv: St,
  forEach: le,
  merge: se,
  extend: Ct,
  trim: Rt,
  stripBOM: xt
}, x = p;
function ye(e) {
  return encodeURIComponent(e).replace(/%3A/gi, ":").replace(/%24/g, "$").replace(/%2C/gi, ",").replace(/%20/g, "+").replace(/%5B/gi, "[").replace(/%5D/gi, "]");
}
var Je = function(t, n, i) {
  if (!n)
    return t;
  var r;
  if (i)
    r = i(n);
  else if (x.isURLSearchParams(n))
    r = n.toString();
  else {
    var s = [];
    x.forEach(n, function(f, d) {
      f === null || typeof f > "u" || (x.isArray(f) ? d = d + "[]" : f = [f], x.forEach(f, function(a) {
        x.isDate(a) ? a = a.toISOString() : x.isObject(a) && (a = JSON.stringify(a)), s.push(ye(d) + "=" + ye(a));
      }));
    }), r = s.join("&");
  }
  if (r) {
    var u = t.indexOf("#");
    u !== -1 && (t = t.slice(0, u)), t += (t.indexOf("?") === -1 ? "?" : "&") + r;
  }
  return t;
}, Ot = p;
function k() {
  this.handlers = [];
}
k.prototype.use = function(t, n, i) {
  return this.handlers.push({
    fulfilled: t,
    rejected: n,
    synchronous: i ? i.synchronous : !1,
    runWhen: i ? i.runWhen : null
  }), this.handlers.length - 1;
};
k.prototype.eject = function(t) {
  this.handlers[t] && (this.handlers[t] = null);
};
k.prototype.forEach = function(t) {
  Ot.forEach(this.handlers, function(i) {
    i !== null && t(i);
  });
};
var Tt = k, At = p, Pt = function(t, n) {
  At.forEach(t, function(r, s) {
    s !== n && s.toUpperCase() === n.toUpperCase() && (t[n] = r, delete t[s]);
  });
}, Xe = function(t, n, i, r, s) {
  return t.config = n, i && (t.code = i), t.request = r, t.response = s, t.isAxiosError = !0, t.toJSON = function() {
    return {
      // Standard
      message: this.message,
      name: this.name,
      // Microsoft
      description: this.description,
      number: this.number,
      // Mozilla
      fileName: this.fileName,
      lineNumber: this.lineNumber,
      columnNumber: this.columnNumber,
      stack: this.stack,
      // Axios
      config: this.config,
      code: this.code,
      status: this.response && this.response.status ? this.response.status : null
    };
  }, t;
}, We = {
  silentJSONParsing: !0,
  forcedJSONParsing: !0,
  clarifyTimeoutError: !1
}, M, be;
function Ke() {
  if (be)
    return M;
  be = 1;
  var e = Xe;
  return M = function(n, i, r, s, u) {
    var o = new Error(n);
    return e(o, i, r, s, u);
  }, M;
}
var H, Ee;
function qt() {
  if (Ee)
    return H;
  Ee = 1;
  var e = Ke();
  return H = function(n, i, r) {
    var s = r.config.validateStatus;
    !r.status || !s || s(r.status) ? n(r) : i(e(
      "Request failed with status code " + r.status,
      r.config,
      null,
      r.request,
      r
    ));
  }, H;
}
var F, ge;
function _t() {
  if (ge)
    return F;
  ge = 1;
  var e = p;
  return F = e.isStandardBrowserEnv() ? (
    // Standard browser envs support document.cookie
    function() {
      return {
        write: function(i, r, s, u, o, f) {
          var d = [];
          d.push(i + "=" + encodeURIComponent(r)), e.isNumber(s) && d.push("expires=" + new Date(s).toGMTString()), e.isString(u) && d.push("path=" + u), e.isString(o) && d.push("domain=" + o), f === !0 && d.push("secure"), document.cookie = d.join("; ");
        },
        read: function(i) {
          var r = document.cookie.match(new RegExp("(^|;\\s*)(" + i + ")=([^;]*)"));
          return r ? decodeURIComponent(r[3]) : null;
        },
        remove: function(i) {
          this.write(i, "", Date.now() - 864e5);
        }
      };
    }()
  ) : (
    // Non standard browser env (web workers, react-native) lack needed support.
    function() {
      return {
        write: function() {
        },
        read: function() {
          return null;
        },
        remove: function() {
        }
      };
    }()
  ), F;
}
var V, Re;
function It() {
  return Re || (Re = 1, V = function(t) {
    return /^([a-z][a-z\d+\-.]*:)?\/\//i.test(t);
  }), V;
}
var z, Se;
function Nt() {
  return Se || (Se = 1, z = function(t, n) {
    return n ? t.replace(/\/+$/, "") + "/" + n.replace(/^\/+/, "") : t;
  }), z;
}
var J, Ce;
function Ut() {
  if (Ce)
    return J;
  Ce = 1;
  var e = It(), t = Nt();
  return J = function(i, r) {
    return i && !e(r) ? t(i, r) : r;
  }, J;
}
var X, xe;
function Lt() {
  if (xe)
    return X;
  xe = 1;
  var e = p, t = [
    "age",
    "authorization",
    "content-length",
    "content-type",
    "etag",
    "expires",
    "from",
    "host",
    "if-modified-since",
    "if-unmodified-since",
    "last-modified",
    "location",
    "max-forwards",
    "proxy-authorization",
    "referer",
    "retry-after",
    "user-agent"
  ];
  return X = function(i) {
    var r = {}, s, u, o;
    return i && e.forEach(i.split(`
`), function(d) {
      if (o = d.indexOf(":"), s = e.trim(d.substr(0, o)).toLowerCase(), u = e.trim(d.substr(o + 1)), s) {
        if (r[s] && t.indexOf(s) >= 0)
          return;
        s === "set-cookie" ? r[s] = (r[s] ? r[s] : []).concat([u]) : r[s] = r[s] ? r[s] + ", " + u : u;
      }
    }), r;
  }, X;
}
var W, Oe;
function kt() {
  if (Oe)
    return W;
  Oe = 1;
  var e = p;
  return W = e.isStandardBrowserEnv() ? (
    // Standard browser envs have full support of the APIs needed to test
    // whether the request URL is of the same origin as current location.
    function() {
      var n = /(msie|trident)/i.test(navigator.userAgent), i = document.createElement("a"), r;
      function s(u) {
        var o = u;
        return n && (i.setAttribute("href", o), o = i.href), i.setAttribute("href", o), {
          href: i.href,
          protocol: i.protocol ? i.protocol.replace(/:$/, "") : "",
          host: i.host,
          search: i.search ? i.search.replace(/^\?/, "") : "",
          hash: i.hash ? i.hash.replace(/^#/, "") : "",
          hostname: i.hostname,
          port: i.port,
          pathname: i.pathname.charAt(0) === "/" ? i.pathname : "/" + i.pathname
        };
      }
      return r = s(window.location.href), function(o) {
        var f = e.isString(o) ? s(o) : o;
        return f.protocol === r.protocol && f.host === r.host;
      };
    }()
  ) : (
    // Non standard browser envs (web workers, react-native) lack needed support.
    function() {
      return function() {
        return !0;
      };
    }()
  ), W;
}
var K, Te;
function j() {
  if (Te)
    return K;
  Te = 1;
  function e(t) {
    this.message = t;
  }
  return e.prototype.toString = function() {
    return "Cancel" + (this.message ? ": " + this.message : "");
  }, e.prototype.__CANCEL__ = !0, K = e, K;
}
var Y, Ae;
function Pe() {
  if (Ae)
    return Y;
  Ae = 1;
  var e = p, t = qt(), n = _t(), i = Je, r = Ut(), s = Lt(), u = kt(), o = Ke(), f = We, d = j();
  return Y = function(a) {
    return new Promise(function(m, T) {
      var A = a.data, P = a.headers, q = a.responseType, S;
      function de() {
        a.cancelToken && a.cancelToken.unsubscribe(S), a.signal && a.signal.removeEventListener("abort", S);
      }
      e.isFormData(A) && delete P["Content-Type"];
      var l = new XMLHttpRequest();
      if (a.auth) {
        var rt = a.auth.username || "", nt = a.auth.password ? unescape(encodeURIComponent(a.auth.password)) : "";
        P.Authorization = "Basic " + btoa(rt + ":" + nt);
      }
      var he = r(a.baseURL, a.url);
      l.open(a.method.toUpperCase(), i(he, a.params, a.paramsSerializer), !0), l.timeout = a.timeout;
      function pe() {
        if (l) {
          var w = "getAllResponseHeaders" in l ? s(l.getAllResponseHeaders()) : null, C = !q || q === "text" || q === "json" ? l.responseText : l.response, g = {
            data: C,
            status: l.status,
            statusText: l.statusText,
            headers: w,
            config: a,
            request: l
          };
          t(function($) {
            m($), de();
          }, function($) {
            T($), de();
          }, g), l = null;
        }
      }
      if ("onloadend" in l ? l.onloadend = pe : l.onreadystatechange = function() {
        !l || l.readyState !== 4 || l.status === 0 && !(l.responseURL && l.responseURL.indexOf("file:") === 0) || setTimeout(pe);
      }, l.onabort = function() {
        l && (T(o("Request aborted", a, "ECONNABORTED", l)), l = null);
      }, l.onerror = function() {
        T(o("Network Error", a, null, l)), l = null;
      }, l.ontimeout = function() {
        var C = a.timeout ? "timeout of " + a.timeout + "ms exceeded" : "timeout exceeded", g = a.transitional || f;
        a.timeoutErrorMessage && (C = a.timeoutErrorMessage), T(o(
          C,
          a,
          g.clarifyTimeoutError ? "ETIMEDOUT" : "ECONNABORTED",
          l
        )), l = null;
      }, e.isStandardBrowserEnv()) {
        var me = (a.withCredentials || u(he)) && a.xsrfCookieName ? n.read(a.xsrfCookieName) : void 0;
        me && (P[a.xsrfHeaderName] = me);
      }
      "setRequestHeader" in l && e.forEach(P, function(C, g) {
        typeof A > "u" && g.toLowerCase() === "content-type" ? delete P[g] : l.setRequestHeader(g, C);
      }), e.isUndefined(a.withCredentials) || (l.withCredentials = !!a.withCredentials), q && q !== "json" && (l.responseType = a.responseType), typeof a.onDownloadProgress == "function" && l.addEventListener("progress", a.onDownloadProgress), typeof a.onUploadProgress == "function" && l.upload && l.upload.addEventListener("progress", a.onUploadProgress), (a.cancelToken || a.signal) && (S = function(w) {
        l && (T(!w || w && w.type ? new d("canceled") : w), l.abort(), l = null);
      }, a.cancelToken && a.cancelToken.subscribe(S), a.signal && (a.signal.aborted ? S() : a.signal.addEventListener("abort", S))), A || (A = null), l.send(A);
    });
  }, Y;
}
var h = p, qe = Pt, jt = Xe, Dt = We, Bt = {
  "Content-Type": "application/x-www-form-urlencoded"
};
function _e(e, t) {
  !h.isUndefined(e) && h.isUndefined(e["Content-Type"]) && (e["Content-Type"] = t);
}
function $t() {
  var e;
  return (typeof XMLHttpRequest < "u" || typeof process < "u" && Object.prototype.toString.call(process) === "[object process]") && (e = Pe()), e;
}
function Mt(e, t, n) {
  if (h.isString(e))
    try {
      return (t || JSON.parse)(e), h.trim(e);
    } catch (i) {
      if (i.name !== "SyntaxError")
        throw i;
    }
  return (n || JSON.stringify)(e);
}
var D = {
  transitional: Dt,
  adapter: $t(),
  transformRequest: [function(t, n) {
    return qe(n, "Accept"), qe(n, "Content-Type"), h.isFormData(t) || h.isArrayBuffer(t) || h.isBuffer(t) || h.isStream(t) || h.isFile(t) || h.isBlob(t) ? t : h.isArrayBufferView(t) ? t.buffer : h.isURLSearchParams(t) ? (_e(n, "application/x-www-form-urlencoded;charset=utf-8"), t.toString()) : h.isObject(t) || n && n["Content-Type"] === "application/json" ? (_e(n, "application/json"), Mt(t)) : t;
  }],
  transformResponse: [function(t) {
    var n = this.transitional || D.transitional, i = n && n.silentJSONParsing, r = n && n.forcedJSONParsing, s = !i && this.responseType === "json";
    if (s || r && h.isString(t) && t.length)
      try {
        return JSON.parse(t);
      } catch (u) {
        if (s)
          throw u.name === "SyntaxError" ? jt(u, this, "E_JSON_PARSE") : u;
      }
    return t;
  }],
  /**
   * A timeout in milliseconds to abort a request. If set to 0 (default) a
   * timeout is not created.
   */
  timeout: 0,
  xsrfCookieName: "XSRF-TOKEN",
  xsrfHeaderName: "X-XSRF-TOKEN",
  maxContentLength: -1,
  maxBodyLength: -1,
  validateStatus: function(t) {
    return t >= 200 && t < 300;
  },
  headers: {
    common: {
      Accept: "application/json, text/plain, */*"
    }
  }
};
h.forEach(["delete", "get", "head"], function(t) {
  D.headers[t] = {};
});
h.forEach(["post", "put", "patch"], function(t) {
  D.headers[t] = h.merge(Bt);
});
var fe = D, Ht = p, Ft = fe, Vt = function(t, n, i) {
  var r = this || Ft;
  return Ht.forEach(i, function(u) {
    t = u.call(r, t, n);
  }), t;
}, Z, Ie;
function Ye() {
  return Ie || (Ie = 1, Z = function(t) {
    return !!(t && t.__CANCEL__);
  }), Z;
}
var Ne = p, G = Vt, zt = Ye(), Jt = fe, Xt = j();
function Q(e) {
  if (e.cancelToken && e.cancelToken.throwIfRequested(), e.signal && e.signal.aborted)
    throw new Xt("canceled");
}
var Wt = function(t) {
  Q(t), t.headers = t.headers || {}, t.data = G.call(
    t,
    t.data,
    t.headers,
    t.transformRequest
  ), t.headers = Ne.merge(
    t.headers.common || {},
    t.headers[t.method] || {},
    t.headers
  ), Ne.forEach(
    ["delete", "get", "head", "post", "put", "patch", "common"],
    function(r) {
      delete t.headers[r];
    }
  );
  var n = t.adapter || Jt.adapter;
  return n(t).then(function(r) {
    return Q(t), r.data = G.call(
      t,
      r.data,
      r.headers,
      t.transformResponse
    ), r;
  }, function(r) {
    return zt(r) || (Q(t), r && r.response && (r.response.data = G.call(
      t,
      r.response.data,
      r.response.headers,
      t.transformResponse
    ))), Promise.reject(r);
  });
}, v = p, Ze = function(t, n) {
  n = n || {};
  var i = {};
  function r(c, a) {
    return v.isPlainObject(c) && v.isPlainObject(a) ? v.merge(c, a) : v.isPlainObject(a) ? v.merge({}, a) : v.isArray(a) ? a.slice() : a;
  }
  function s(c) {
    if (v.isUndefined(n[c])) {
      if (!v.isUndefined(t[c]))
        return r(void 0, t[c]);
    } else
      return r(t[c], n[c]);
  }
  function u(c) {
    if (!v.isUndefined(n[c]))
      return r(void 0, n[c]);
  }
  function o(c) {
    if (v.isUndefined(n[c])) {
      if (!v.isUndefined(t[c]))
        return r(void 0, t[c]);
    } else
      return r(void 0, n[c]);
  }
  function f(c) {
    if (c in n)
      return r(t[c], n[c]);
    if (c in t)
      return r(void 0, t[c]);
  }
  var d = {
    url: u,
    method: u,
    data: u,
    baseURL: o,
    transformRequest: o,
    transformResponse: o,
    paramsSerializer: o,
    timeout: o,
    timeoutMessage: o,
    withCredentials: o,
    adapter: o,
    responseType: o,
    xsrfCookieName: o,
    xsrfHeaderName: o,
    onUploadProgress: o,
    onDownloadProgress: o,
    decompress: o,
    maxContentLength: o,
    maxBodyLength: o,
    transport: o,
    httpAgent: o,
    httpsAgent: o,
    cancelToken: o,
    socketPath: o,
    responseEncoding: o,
    validateStatus: f
  };
  return v.forEach(Object.keys(t).concat(Object.keys(n)), function(a) {
    var b = d[a] || s, m = b(a);
    v.isUndefined(m) && b !== f || (i[a] = m);
  }), i;
}, ee, Ue;
function Ge() {
  return Ue || (Ue = 1, ee = {
    version: "0.26.1"
  }), ee;
}
var Kt = Ge().version, ce = {};
["object", "boolean", "number", "function", "string", "symbol"].forEach(function(e, t) {
  ce[e] = function(i) {
    return typeof i === e || "a" + (t < 1 ? "n " : " ") + e;
  };
});
var Le = {};
ce.transitional = function(t, n, i) {
  function r(s, u) {
    return "[Axios v" + Kt + "] Transitional option '" + s + "'" + u + (i ? ". " + i : "");
  }
  return function(s, u, o) {
    if (t === !1)
      throw new Error(r(u, " has been removed" + (n ? " in " + n : "")));
    return n && !Le[u] && (Le[u] = !0, console.warn(
      r(
        u,
        " has been deprecated since v" + n + " and will be removed in the near future"
      )
    )), t ? t(s, u, o) : !0;
  };
};
function Yt(e, t, n) {
  if (typeof e != "object")
    throw new TypeError("options must be an object");
  for (var i = Object.keys(e), r = i.length; r-- > 0; ) {
    var s = i[r], u = t[s];
    if (u) {
      var o = e[s], f = o === void 0 || u(o, s, e);
      if (f !== !0)
        throw new TypeError("option " + s + " must be " + f);
      continue;
    }
    if (n !== !0)
      throw Error("Unknown option " + s);
  }
}
var Zt = {
  assertOptions: Yt,
  validators: ce
}, Qe = p, Gt = Je, ke = Tt, je = Wt, B = Ze, et = Zt, O = et.validators;
function N(e) {
  this.defaults = e, this.interceptors = {
    request: new ke(),
    response: new ke()
  };
}
N.prototype.request = function(t, n) {
  typeof t == "string" ? (n = n || {}, n.url = t) : n = t || {}, n = B(this.defaults, n), n.method ? n.method = n.method.toLowerCase() : this.defaults.method ? n.method = this.defaults.method.toLowerCase() : n.method = "get";
  var i = n.transitional;
  i !== void 0 && et.assertOptions(i, {
    silentJSONParsing: O.transitional(O.boolean),
    forcedJSONParsing: O.transitional(O.boolean),
    clarifyTimeoutError: O.transitional(O.boolean)
  }, !1);
  var r = [], s = !0;
  this.interceptors.request.forEach(function(m) {
    typeof m.runWhen == "function" && m.runWhen(n) === !1 || (s = s && m.synchronous, r.unshift(m.fulfilled, m.rejected));
  });
  var u = [];
  this.interceptors.response.forEach(function(m) {
    u.push(m.fulfilled, m.rejected);
  });
  var o;
  if (!s) {
    var f = [je, void 0];
    for (Array.prototype.unshift.apply(f, r), f = f.concat(u), o = Promise.resolve(n); f.length; )
      o = o.then(f.shift(), f.shift());
    return o;
  }
  for (var d = n; r.length; ) {
    var c = r.shift(), a = r.shift();
    try {
      d = c(d);
    } catch (b) {
      a(b);
      break;
    }
  }
  try {
    o = je(d);
  } catch (b) {
    return Promise.reject(b);
  }
  for (; u.length; )
    o = o.then(u.shift(), u.shift());
  return o;
};
N.prototype.getUri = function(t) {
  return t = B(this.defaults, t), Gt(t.url, t.params, t.paramsSerializer).replace(/^\?/, "");
};
Qe.forEach(["delete", "get", "head", "options"], function(t) {
  N.prototype[t] = function(n, i) {
    return this.request(B(i || {}, {
      method: t,
      url: n,
      data: (i || {}).data
    }));
  };
});
Qe.forEach(["post", "put", "patch"], function(t) {
  N.prototype[t] = function(n, i, r) {
    return this.request(B(r || {}, {
      method: t,
      url: n,
      data: i
    }));
  };
});
var Qt = N, te, De;
function er() {
  if (De)
    return te;
  De = 1;
  var e = j();
  function t(n) {
    if (typeof n != "function")
      throw new TypeError("executor must be a function.");
    var i;
    this.promise = new Promise(function(u) {
      i = u;
    });
    var r = this;
    this.promise.then(function(s) {
      if (r._listeners) {
        var u, o = r._listeners.length;
        for (u = 0; u < o; u++)
          r._listeners[u](s);
        r._listeners = null;
      }
    }), this.promise.then = function(s) {
      var u, o = new Promise(function(f) {
        r.subscribe(f), u = f;
      }).then(s);
      return o.cancel = function() {
        r.unsubscribe(u);
      }, o;
    }, n(function(u) {
      r.reason || (r.reason = new e(u), i(r.reason));
    });
  }
  return t.prototype.throwIfRequested = function() {
    if (this.reason)
      throw this.reason;
  }, t.prototype.subscribe = function(i) {
    if (this.reason) {
      i(this.reason);
      return;
    }
    this._listeners ? this._listeners.push(i) : this._listeners = [i];
  }, t.prototype.unsubscribe = function(i) {
    if (this._listeners) {
      var r = this._listeners.indexOf(i);
      r !== -1 && this._listeners.splice(r, 1);
    }
  }, t.source = function() {
    var i, r = new t(function(u) {
      i = u;
    });
    return {
      token: r,
      cancel: i
    };
  }, te = t, te;
}
var re, Be;
function tr() {
  return Be || (Be = 1, re = function(t) {
    return function(i) {
      return t.apply(null, i);
    };
  }), re;
}
var ne, $e;
function rr() {
  if ($e)
    return ne;
  $e = 1;
  var e = p;
  return ne = function(n) {
    return e.isObject(n) && n.isAxiosError === !0;
  }, ne;
}
var Me = p, nr = He, L = Qt, ir = Ze, sr = fe;
function tt(e) {
  var t = new L(e), n = nr(L.prototype.request, t);
  return Me.extend(n, L.prototype, t), Me.extend(n, t), n.create = function(r) {
    return tt(ir(e, r));
  }, n;
}
var y = tt(sr);
y.Axios = L;
y.Cancel = j();
y.CancelToken = er();
y.isCancel = Ye();
y.VERSION = Ge().version;
y.all = function(t) {
  return Promise.all(t);
};
y.spread = tr();
y.isAxiosError = rr();
ae.exports = y;
ae.exports.default = y;
var or = ae.exports, ar = or;
const ur = /* @__PURE__ */ ft(ar);
const lr = (e, t) => {
  const n = e.__vccOpts || e;
  for (const [i, r] of t)
    n[i] = r;
  return n;
}, fr = {
  name: "IPHighlighter",
  props: {
    apiUrl: {
      type: String,
      default: "https://ydworkflow-langchain.site.youdao.com/webhook/8fd29a49-e4cc-4ca8-b904-df46fee3b650"
    },
    requestConfig: {
      type: Object,
      default: () => ({
        credentials: "include",
        headers: {}
      })
    }
  },
  data() {
    return {
      tooltipRef: null,
      showTooltip: !1,
      currentIP: null,
      ipInfo: null,
      tooltipStyle: {
        left: "0px",
        top: "0px",
        zIndex: 1e4
      },
      ipRegex: /\b(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\b/g
    };
  },
  mounted() {
    document.addEventListener("click", this.handleClickOutside), document.addEventListener("keydown", this.handleKeyDown);
  },
  beforeDestroy() {
    document.removeEventListener("click", this.handleClickOutside), document.removeEventListener("keydown", this.handleKeyDown);
  },
  watch: {
    ipInfo(e) {
      e ? this.showTooltip = !0 : this.showTooltip = !1;
    },
    showTooltip(e) {
      e || (this.currentIP = null, this.ipInfo = null);
    }
  },
  methods: {
    handleMouseUp(e) {
      var i;
      if ((i = this.$refs.tooltip) != null && i.contains(e.target))
        return;
      const t = window.getSelection(), n = t.toString().trim();
      if (n)
        if (n.match(this.ipRegex)) {
          const s = t.getRangeAt(0).getBoundingClientRect();
          this.currentIP = n, this.updateTooltipPosition({
            pageX: s.left + window.scrollX,
            pageY: s.bottom + window.scrollY
          }), this.showIPInfo(n, e);
        } else
          this.closeTooltip();
    },
    async showIPInfo(e, t) {
      this.currentIP = e, this.ipInfo = null, this.showTooltip = !1;
      try {
        const n = await ur.get(`${this.apiUrl}`, {
          params: {
            ip: e,
            message: `请查询IP: ${e} 的详细信息`
          },
          ...this.requestConfig
        });
        this.ipInfo = n.data.data || null, this.showTooltip = !0;
      } catch {
        this.ipInfo = null, this.showTooltip = !1;
      }
    },
    updateTooltipPosition(e) {
      const t = window.innerWidth, n = window.innerHeight;
      let i = e.pageX, r = e.pageY + 10;
      i + 300 > t && (i = t - 310), r + 200 > n && (r = e.pageY - 210), i = Math.max(10, i), r = Math.max(10, r);
      const s = {
        left: `${i}px`,
        top: `${r}px`,
        zIndex: 2147483647,
        position: "fixed",
        display: "block",
        visibility: "visible",
        opacity: 1
      };
      this.tooltipStyle = s;
    },
    handleClickOutside(e) {
      var t;
      (t = this.$refs.tooltip) != null && t.contains(e.target) || this.closeTooltip();
    },
    handleKeyDown(e) {
      e.key === "Escape" && this.showTooltip && this.closeTooltip();
    },
    closeTooltip() {
      this.showTooltip = !1, this.currentIP = null, this.ipInfo = null, this.$nextTick(() => {
        this.currentIP = null, this.ipInfo = null;
      });
    },
    formatValue(e) {
      if (e == null)
        return "N/A";
      const t = String(e), n = /https?:\/\/(www\.)?[-a-zA-Z0-9@:%._\+~#=]{1,256}\.[a-zA-Z0-9()]{1,6}\b([-a-zA-Z0-9()@:%_\+.~#?&//=]*)/gi;
      return typeof e == "object" ? Array.isArray(e) ? e.map((i) => this.formatValue(i)).join(", ") || "N/A" : Object.entries(e).map(([i, r]) => `${i}: ${this.formatValue(r)}`).join(", ") || "N/A" : t.match(n) ? `<a href="${t}" target="_blank" class="ip-tooltip-link">${t}</a>` : t;
    }
  }
}, cr = { class: "ip-tooltip-header" }, dr = { class: "ip-tooltip-title" }, hr = { class: "ip-tooltip-content" }, pr = { class: "ip-tooltip-key" }, mr = ["innerHTML"], vr = {
  key: 1,
  class: "ip-tooltip-row"
};
function wr(e, t, n, i, r, s) {
  return _(), I("div", {
    class: "ip-highlighter",
    onMouseup: t[2] || (t[2] = (...u) => s.handleMouseUp && s.handleMouseUp(...u))
  }, [
    st(e.$slots, "default", {}, void 0, !0),
    r.showTooltip && r.ipInfo ? (_(), I("div", {
      key: 0,
      class: "el-popover el-popper ip-tooltip",
      style: ot(r.tooltipStyle),
      ref: "tooltip",
      onMousedown: t[1] || (t[1] = ve(() => {
      }, ["stop"]))
    }, [
      R("div", {
        class: "ip-tooltip-close",
        onClick: t[0] || (t[0] = ve((...u) => s.closeTooltip && s.closeTooltip(...u), ["stop"]))
      }, "×"),
      t[3] || (t[3] = R("div", { class: "popper__arrow" }, null, -1)),
      R("div", cr, [
        R("h3", dr, "IP: " + we(r.ipInfo.ip), 1)
      ]),
      R("div", hr, [
        r.ipInfo ? (_(!0), I(at, { key: 0 }, ut(r.ipInfo, (u, o) => (_(), I("div", {
          key: o,
          class: "ip-tooltip-row"
        }, [
          R("div", pr, we(o) + ":", 1),
          R("div", {
            class: "ip-tooltip-value",
            innerHTML: s.formatValue(u)
          }, null, 8, mr)
        ]))), 128)) : (_(), I("div", vr, "加载中..."))
      ])
    ], 36)) : lt("", !0)
  ], 32);
}
const yr = /* @__PURE__ */ lr(fr, [["render", wr], ["__scopeId", "data-v-7126a952"]]), oe = (e) => {
  oe.installed || (oe.installed = !0, e.component("ip-highlighter", yr));
}, br = {
  install: oe,
  version: "1.0.4"
};
typeof window < "u" && window.Vue && window.Vue.use(br);
export {
  yr as IPHighlighter,
  br as default
};
